IndexedAnnotationFilter (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.source.annotations.xml.filter
Interface IndexedAnnotationFilter

All Superinterfaces:
  JPADotNames

    public interface IndexedAnnotationFilter

extends JPADotNames

Field Summary
`static IndexedAnnotationFilter[]` | `ALL_FILTERS`

Fields inherited from interface org.hibernate.metamodel.source.annotations.JPADotNames
`ACCESS, ACCESS_TYPE, ASSOCIATION_OVERRIDE, ASSOCIATION_OVERRIDES, ATTRIBUTE_OVERRIDE, ATTRIBUTE_OVERRIDES, BASIC, CACHEABLE, CASCADE_TYPE, COLLECTION_TABLE, COLUMN, COLUMN_RESULT, DISCRIMINATOR_COLUMN, DISCRIMINATOR_TYPE, DISCRIMINATOR_VALUE, ELEMENT_COLLECTION, EMBEDDABLE, EMBEDDED, EMBEDDED_ID, ENTITY, ENTITY_LISTENERS, ENTITY_RESULT, ENUM_TYPE, ENUMERATED, EXCLUDE_DEFAULT_LISTENERS, EXCLUDE_SUPERCLASS_LISTENERS, FETCH_TYPE, FIELD_RESULT, GENERATED_VALUE, GENERATION_TYPE, ID, ID_CLASS, INHERITANCE, INHERITANCE_TYPE, JOIN_COLUMN, JOIN_COLUMNS, JOIN_TABLE, LOB, LOCK_MODE_TYPE, MANY_TO_MANY, MANY_TO_ONE, MAP_KEY, MAP_KEY_CLASS, MAP_KEY_COLUMN, MAP_KEY_ENUMERATED, MAP_KEY_JOIN_COLUMN, MAP_KEY_JOIN_COLUMNS, MAP_KEY_TEMPORAL, MAPPED_SUPERCLASS, MAPS_ID, NAMED_NATIVE_QUERIES, NAMED_NATIVE_QUERY, NAMED_QUERIES, NAMED_QUERY, ONE_TO_MANY, ONE_TO_ONE, ORDER_BY, ORDER_COLUMN, PERSISTENCE_CONTEXT, PERSISTENCE_CONTEXTS, PERSISTENCE_PROPERTY, PERSISTENCE_UNIT, PERSISTENCE_UNITS, POST_LOAD, POST_PERSIST, POST_REMOVE, POST_UPDATE, PRE_PERSIST, PRE_REMOVE, PRE_UPDATE, PRIMARY_KEY_JOIN_COLUMN, PRIMARY_KEY_JOIN_COLUMNS, QUERY_HINT, SECONDARY_TABLE, SECONDARY_TABLES, SEQUENCE_GENERATOR, SQL_RESULT_SET_MAPPING, SQL_RESULT_SET_MAPPINGS, TABLE, TABLE_GENERATOR, TEMPORAL, TEMPORAL_TYPE, TRANSIENT, UNIQUE_CONSTRAINT, VERSION`

Method Summary
`void` | `beforePush(IndexBuilder indexBuilder, org.jboss.jandex.DotName classDotName, org.jboss.jandex.AnnotationInstance annotationInstance)`

Field Detail

### ALL_FILTERS

    static final IndexedAnnotationFilter[] ALL_FILTERS

Method Detail

### beforePush

    void beforePush(IndexBuilder indexBuilder,
                    org.jboss.jandex.DotName classDotName,
                    org.jboss.jandex.AnnotationInstance annotationInstance)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.